org.python.core

## Class CodeLoader

- java.lang.Object
- - org.python.core.CodeLoader

    public final class CodeLoader
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `filename`
`static java.lang.String` `GET_BOOTSTRAP_METHOD_NAME`
`java.lang.String` `name`
`static java.lang.String` `SIMPLE_FACTORY_METHOD_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `canLoad(java.lang.Class<?> cls)`
`static CodeBootstrap` `createSimpleBootstrap(PyCode code)`
`static PyCode` `loadCode(java.lang.Class<?> cls)`
`static PyCode` `loadCode(java.lang.Class<?> cls, java.lang.String name, java.lang.String filename)`
`static PyCode` `loadCode(CodeBootstrap bootstrap)`
`static PyCode` `loadCode(CodeBootstrap bootstrap, java.lang.String name, java.lang.String filename)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GET_BOOTSTRAP_METHOD_NAME

    public static final java.lang.String GET_BOOTSTRAP_METHOD_NAME

See Also:
  Constant Field Values

#### name

    public final java.lang.String name

#### filename

    public final java.lang.String filename

#### SIMPLE_FACTORY_METHOD_NAME

    public static final java.lang.String SIMPLE_FACTORY_METHOD_NAME

See Also:
  Constant Field Values

### Method Detail

#### canLoad

    public static boolean canLoad(java.lang.Class<?> cls)

#### loadCode

    public static PyCode loadCode(java.lang.Class<?> cls,
                                  java.lang.String name,
                                  java.lang.String filename)
                           throws java.lang.SecurityException,
                                  java.lang.NoSuchMethodException,
                                  java.lang.IllegalArgumentException,
                                  java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException

Throws:
  `java.lang.SecurityException`
  `java.lang.NoSuchMethodException`
  `java.lang.IllegalArgumentException`
  `java.lang.IllegalAccessException`
  `java.lang.reflect.InvocationTargetException`

#### loadCode

    public static PyCode loadCode(java.lang.Class<?> cls)
                           throws java.lang.SecurityException,
                                  java.lang.IllegalArgumentException,
                                  java.lang.NoSuchMethodException,
                                  java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException

Throws:
  `java.lang.SecurityException`
  `java.lang.IllegalArgumentException`
  `java.lang.NoSuchMethodException`
  `java.lang.IllegalAccessException`
  `java.lang.reflect.InvocationTargetException`

#### loadCode

    public static PyCode loadCode(CodeBootstrap bootstrap,
                                  java.lang.String name,
                                  java.lang.String filename)

#### loadCode

    public static PyCode loadCode(CodeBootstrap bootstrap)

#### createSimpleBootstrap

    public static CodeBootstrap createSimpleBootstrap(PyCode code)